Subject: Re: Unexpected foo==bar errors
From: Peter Stephenson <[email-masked]>
To: zsh workers <[email-masked]>
Date: Mon, 08 Feb 2016 09:49:36 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Sun, 07 Feb 2016 23:09:19 -0800
Bart Schaefer <[email-masked]> wrote:
> On Feb 7,  7:06pm, Peter Stephenson wrote:
> } Subject: Re: Unexpected foo==bar errors
> }
> } The option is called "equals".  "magicequalsubst" is now redundant; it
> } allowed
> } 
> } typeset foo=<whatever>
> } 
> } to exapnd <whatever>
> 
> Hmm, as far as I can tell "typeset" always applied expansion in that
> case, even when it was only a builtin; magicequalsubst is there for
> other commands that take long options like --file=path or arguments
> that have key=value format.
> 
> It's certainly not redundant.

You're right about "magicequalsubst".

I was attempting to describe "kshtypeset", but actually that only
applies to word splitting, not to expansion immediately after the "=".
I'd forgotten the extent to which the full assignment behaviour had
crept up by stealth.

Apart from that...

pws